%bcond_without check

%global goipath         github.com/moby/spdystream
Version:                0.2.0

%gometa

%global common_description %{expand:
A multiplexed stream library using spdy.}

%global golicenses      LICENSE NOTICE
%global godocs          CONTRIBUTING.md README.md

Name:           %{goname}
Release:    2%{?dist}
Summary:        A multiplexed stream library using spdy

License:        ASL 2.0
URL:            %{gourl}
Source0:        %{gosource}

BuildRequires:  golang(github.com/gorilla/websocket)

%description
%{common_description}

%gopkg

%prep
%goprep

%install
%gopkginstall

%if %{with check}
%check
%gocheck
%endif

%gopkgfiles

%changelog
* Sun Jun 08 2025 bbrucezhang <bbrucezhang@tencent.com> - 0.2.0-2
- Rebuilt for loongarch64

* Mon Aug 26 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - -1
- initial build
